// RESET

ul {
	list-style-type: none;
	padding: 0;
}
input, select, button {
	border: none;
}

// END-RESET

@font-face {
	font-family: 'mono';
	src: url('../fonts/SourceCodePro-Regular.ttf')
}


body, input, select, button {

	font-family: 'mono';
	font-size: 12px;
}

body {
	margin: 0;
	padding: 0;
	background: #333;
}

section.header{ 
	// background: grey;
	display: flex;
	flex-wrap: wrap;
	// height: 20px;
	position: fixed;
	width: 100%;
	.btns {
		display: flex;
		flex-wrap: wrap;
	}
	input[type="button"] {
		// border-left: 1px solid black; 
		&:before {
			content: '<';
		}
		&.btn_json {
			// background: pink;
		}
		&.btn_json_add {
			// background: yellow;
		}
	}

	.gestion-projects {
		* {
			padding: 0px 5px;
		}
		position: absolute;
		right: 0;
		background: green;
		color: white; 
		#upload_file {
			display: none;
			background: lightgreen;
			color: black;
		}

		select#projects {
			background: green;
		}

		#new_project {
			background: green;
			color: white;
		}
	}
}

section.workspace {
	position: fixed;
	width: 100%;
	height: calc(100% - 15px);
	top: 16px;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-gap: 10px;
	grid-auto-rows: 10%;
	> * {
		background: black;
	}
	.inter_box {
		width: 100%;
		height: calc(100% - 17px);
		display:table;
	}
	.inter_adjust {
		text-align: center;
		width: 100%;
		height: 100%;
		vertical-align: middle;
		display:table-cell;
	}

	section.preview {
		grid-column: 2 / 4;
		grid-row: 1 / 10;
		text-align: center;
		img {
			background: white;
			width: auto;
			max-height: 100%;
			height: auto;
			vertical-align: middle;
			max-width: 100%;
}
		}
		.event_log {
			bottom: 0px;
			position: absolute;
			color: black;
			bottom: 8px;
			background: pink;
		}
	}

	section.model {
		grid-column: 1;
		grid-row: 5 / 10;
		text-align: center;
		.image {
			height: calc(100% - 17px);
		}
		img {
			background: white; 
			width: 90%;
			height: auto;
			max-height: 90%;
			&.verti{
				width: auto;
				height: 70%;
			}
		}
		.nav_model{
			text-align: left;
			background: aqua;
			width: 100%;
		}
		.info_model {
			text-align: left;
			// color: white;
			background: #ff5656; 
		}
	}

	section.editors {
		grid-column: 1 / 1;
		grid-row: 1 / 5;
		.cont_json{
			height: 100%;
			width: 100%;
			overflow: hidden;
		}
		.editor_json {
			height: calc(100% - 20px);
			width: 100%;
		}
		.nav_json {
			border-top: 1px solid black
		}
	}	
